.. _core_internal_toplevel:

Core Internals
==============

Some key internal constructs are listed here.

.. currentmodule: sqlalchemy

.. autoclass:: sqlalchemy.engine.interfaces.Compiled
    :members:

.. autoclass:: sqlalchemy.sql.compiler.DDLCompiler
    :members:
    :inherited-members:

.. autoclass:: sqlalchemy.engine.default.DefaultDialect
    :members:
    :inherited-members:

.. autoclass:: sqlalchemy.engine.interfaces.Dialect
    :members:

.. autoclass:: sqlalchemy.engine.default.DefaultExecutionContext
    :members:


.. autoclass:: sqlalchemy.engine.interfaces.ExecutionContext
    :members:


.. autoclass:: sqlalchemy.log.Identified
    :members:


.. autoclass:: sqlalchemy.sql.compiler.IdentifierPreparer
    :members:


.. autoclass:: sqlalchemy.sql.compiler.SQLCompiler
    :members:

.. autoclass:: sqlalchemy.sql.compiler.StrSQLCompiler
    :members:


